### File

`packages/eui/packages/components-next/src/lib/components/eui-table/filter/eui-table-filter.component.ts`

### Extends

`BaseDirective`

### Implements

`OnInit` `OnDestroy`

### Metadata

selector | `eui-table-filter`
templateUrl | `./eui-table-filter.component.html`

### Index

###### Properties
_autoSearch Public filter$ filterInput Public form
###### Methods
Public resetFilter Public setFilter
###### Inputs
autoSearch placeholder
###### Outputs
filterChange
###### HostBindings
class
###### Accessors
autoSearch

### Constructor

`constructor(fb: FormBuilder)`
Parameters :
Name | Type | Optional
fb | `FormBuilder` | No

### Inputs

autoSearch

placeholder
Type : `string`

### Outputs

filterChange
Type : `EventEmitter`

### HostBindings

class

### Methods

Public resetFilter
`resetFilter()`
Returns : `void`

Public setFilter
`setFilter(value: string)`
Parameters :
Name | Type | Optional
value | `string` | No
Returns : `void`

### Properties

_autoSearch
Default value : `false`

Public filter$
Type : `BehaviorSubject<string | null>`
Default value : `new BehaviorSubject(null)`

filterInput
Type : `ElementRef<HTMLInputElement>`
Decorators : `@ViewChild('filterInput')`

Public form
Type : `FormGroup`

### Accessors

autoSearch
set `autoSearch(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

# result-matching ""

# No results matching ""